# NetworkClientInfo Struct Reference

Inheritance diagram for NetworkClientInfo:

## Public Member Functions
| NetworkClientInfo (ClientID client_id=INVALID_CLIENT_ID)
| ~NetworkClientInfo ()
| Basically a client is leaving us right now.
## Data Fields
ClientID | client_id
| Client identifier (same as ClientState->client_id).
char | client_name [NETWORK_CLIENT_NAME_LENGTH]
| Name of the client.
byte | client_lang
| The language of the client.
CompanyID | client_playas
| As which company is this client playing (CompanyID).
NetworkAddress | client_address
| IP-address of the client (so he can be banned).
Date | join_date
| Gamedate the client has joined.

## Detailed Description

Definition at line 25 of file network_base.h.

The documentation for this struct was generated from the following files:

- src/network/network_base.h
- src/network/network.cpp